Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Data Fields | Static Public Attributes
Lucene::RawPostingList Class Reference

This is the base class for an in-memory posting list, keyed by a Token. TermsHash maintains a hash table holding one instance of this per unique Token. Consumers of TermsHash (TermsHashConsumer) must subclass this class with its own concrete class. FreqProxTermsWriterPostingList is a private inner class used for the freq/prox postings, and TermVectorsTermsWriterPostingList is a private inner class used to hold TermVectors postings. More...

`#include <RawPostingList.h>`

Inheritance diagram for Lucene::RawPostingList:

## Public Member Functions

| RawPostingList ()
virtual | ~RawPostingList ()
virtual String | getClassName ()
boost::shared_ptr< RawPostingList > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

int32_t | textStart
int32_t | intStart
int32_t | byteStart

## Static Public Attributes

static const int32_t | BYTES_SIZE

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

This is the base class for an in-memory posting list, keyed by a Token. TermsHash maintains a hash table holding one instance of this per unique Token. Consumers of TermsHash (TermsHashConsumer) must subclass this class with its own concrete class. FreqProxTermsWriterPostingList is a private inner class used for the freq/prox postings, and TermVectorsTermsWriterPostingList is a private inner class used to hold TermVectors postings.

## Constructor & Destructor Documentation

## ◆ RawPostingList()

Lucene::RawPostingList::RawPostingList | ( |  | ) |

## ◆ ~RawPostingList()

virtual Lucene::RawPostingList::~RawPostingList | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::RawPostingList::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::RawPostingList::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::TermVectorsTermsWriterPostingList, and Lucene::FreqProxTermsWriterPostingList.

## ◆ shared_from_this()

boost::shared_ptr< RawPostingList > Lucene::RawPostingList::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ BYTES_SIZE

const int32_t Lucene::RawPostingList::BYTES_SIZE

static

## ◆ byteStart

int32_t Lucene::RawPostingList::byteStart

## ◆ intStart

int32_t Lucene::RawPostingList::intStart

## ◆ textStart

int32_t Lucene::RawPostingList::textStart

The documentation for this class was generated from the following file:

- RawPostingList.h

clucene.sourceforge.net